{% set date1 = date('+45days') %}
{% set date2 = date('+90days') %}

{% set event1 = data_helper.getNextActionEvent(1) %}
{% set event2 = data_helper.getNextActionEvent(2) %}
{% if event1 %}
{% set date1 = event1.date %}
{% endif %}
{% if event2 %}
    {% set date2 = event2.date %}
{% endif %}
<table id="tasks" class="table">
    <thead>
    <tr>

        <th>Groupe</th>
        <th class="tdPinkBorder">Maintenant</th>
        <th class="tdPinkBorder"><span class="pull-left">{{ date('+7days')|date('d/m/Y')}}</span>  <span class="pull-right">{% if event1 %} {{ event1 }}{% endif %}</span></th>
        <th class="tdPinkBorder">{% if not event1 %}<span class="pull-left">{{ date1|date('d/m/Y')}}</span>{% endif %}<span class="pull-right">{% if event2 %} {{ event2 }}{% else %}{{ date2|date('d/m/Y')}}{% endif %}</span></th>
        <th><span class="pull-left">Après le {{ date2|date('d/m/Y')}}</span></th>
    </tr>
    </thead>
    <tbody>
    {% for group in groups %}
        <tr class="clicable">
            <td>
                {% set linkedGroup = group %}
                {% include 'AppBundle:Task/Fields:group.html.twig' %}
            </td>
            <td class="tdPinkBorder">
                {% set month = 1 %}
                {% include 'AppBundle:Task/Compact:month.html.twig' %}
            </td>
            <td class="tdPinkBorder">
                {% set month = 2 %}
                {% include 'AppBundle:Task/Compact:month.html.twig' %}
            </td>
            <td class="tdPinkBorder">
                {% set month = 3 %}
                {% include 'AppBundle:Task/Compact:month.html.twig' %}
            </td>
            <td>
                {% set month = -1 %}
                {% include 'AppBundle:Task/Compact:month.html.twig' %}
            </td>
        </tr>
    {% endfor %}
    </tbody>
</table>
